%define licqversion 0.81
%define gtkguiversion 0.38.1
%define qtguiversion 0.81
%define consoleversion 0.21
%define autoreplyversion 0.15
%define forwarderversion 0.60
%define updatehostsversion 0.0.5
%define name licq
%define release 9mdk

Name: %{name}
Summary: ICQ client
Release: %{release}
Version: %{licqversion}
Summary: ICQ clone written in C++, and the default plugin in Qt
Source: ftp://ftp.licq.org/pub/licq/srcs/%{name}-%{version}.tar.bz2
Source1: http://gtk.licq.org/download/gtk+licq-%{gtkguiversion}.tar.bz2
Source2: ftp://ftp.licq.org/pub/licq/plugins/licq_update-hosts-%{updatehostsversion}.tar.bz2
Source3: %{name}.xpm.bz2
Source4: %{name}-32.xpm.bz2
Patch0: licq-qt-acinclude.m4.patch.bz2
Patch1: licq-qt-acinclude.m4.in.patch.bz2
Patch2: licq-qt-aclocal.m4.patch.bz2
Patch3: update-hosts-configure.in.patch.bz2
#Patch4: update-hosts-new-includes.patch.bz2
Group: Networking/ICQ
URL: http://www.licq.org/
BuildRoot: /var/tmp/licq-buildroot
BuildRequires: qt2-devel glib-devel gtk+-devel >= 1.2.0 ncurses-devel
Copyright: GPL
Prefix: %{_prefix}
# !! WARNING !! DO NOT DELETE THIS COMMENT. It's a short explanation as to
# why licq requires Qt2.   :-/
#requires qt2 because qt2 gui is in this package. the daemon doesn't need it.
#the licq daemon of course does not need the qt2 plugin to work, but the 
#licq daemon does at least need one plugin to function. if it is split and all
#of the plugins provide licq-plugin, and licq-base requires licq-plugin, it may
#confuse the mandrake setup program. and there is no 'OR' (||) function that 
#i'm aware of in RPM ...but if qt2 is included then it's not really fair since
#licq daemon does not require qt2 to function. there must be some give and take
#in the licq package geometry. :-/

# qt2-devel : because for the moment qt2 is broken, some libs still lack
Requires: qt2 >= 2.1


#%package base
#Version: %{licqversion}
#Summary: ICQ client
#Group: Networking/ICQ
#Provides: licq
### requires qt2 because qt gui plugin is in this package
#Requires: qt2

%package gtk
Version: %{gtkguiversion}
Summary: gtk+licq is a gtk based GUI plugin for Licq
Group: Networking/ICQ
Provides: licq-plugin
Requires: licq gtk+ >= 1.2.0
URL: http://gtk.licq.org

%package update-hosts
Version: %{updatehostsversion}
Summary: an auto update hosts plugin for Licq
Group: Networking/ICQ
Requires: licq
Provides: licq-plugin

#%package qt
#Version: %{qtguiversion}
#Summary: qt based GUI plugin for Licq
#Group: Networking/ICQ
#Provides: licq-plugin
#Requires: licq qt2

%package console
Version: %{consoleversion}
Summary: Console baed plugin for Licq that uses ncurses
Group: Networking/ICQ
Provides: licq-plugin
Requires: licq

%package forwarder
Version: %{forwarderversion}
Summary: forwarder plugin for Licq
Group: Networking/ICQ
Provides: licq-plugin
Requires: licq

%package autoreply
Version: %{autoreplyversion}
Summary: autoreply Licq plugin
Group: Networking/ICQ
Provides: licq-plugin
Requires: licq

%description 
Licq is a ICQ clone written in C++. It is a highly configurable client which
supports different interfaces and functions via plugins. Currently there are
plugins for both the X Windowing System and the console.

This package contains the base files for Licq (the Licq daemon) and the QT
plugin, which is written using the Qt widget set. Currently this GUI plugin has
most of the ICQ functions implemented.

This starts the QT plugin by default, so to run other plugins, you will have to
issue the command "licq -p <plugin>" once. To get back the Qt plugin, you will
have to run once "licq -p qt-gui". Alternatively you may be able to do it in a
plugin dialog box if your plugin supports this feature.


%description update-hosts
This is the update hosts plugin for Licq. It can automatically update your
/etc/hosts file with IP and alias of people on your Licq list as they go online
and offline. You can then use their Alias instead of their IP address to access
different resources on their machine, for example, ftp.

Install this if you want this function for Licq.

%description gtk
This is a gtk based GUI plugin for Licq. This is a plugin based on the QT
plugin which is installed by default. It is extremely well developed and
usable.

Although this plugin is not included in the standard Licq source package, it
does have its own subdomain at licq.org and it can be seen as a an extremely
good alternative if you don't like the QT-based plugin.

Install this if you want to have a gtk-based GUI for Licq. 

#%description qt
#This is the qt based GUI plugin for Licq.

#Install this if you want a qt-based GUI for Licq.

%description console
This is a console based plugin for Licq that uses ncurses that came in the
standard Licq source package. It is extremely usable and functional, but it
does not currently have support for gpm.

Install this if you want to run Licq on the console.

%description forwarder
This plugin for Licq lets you forward messages to your email account. This is a
plugin that came with the standard Licq source package.

Install this if you want to add this function to Licq.

%description autoreply
This plugin for Licq enables Licq to auto reply to messages. This is a plugin
standard Licq source package.

Install this if you want to add this function to Licq.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c -b 1 -b 2
mv update-hosts* licq-%{licqversion}/plugins


# do some patches to get these stubborn SOB to work
cd licq-%{licqversion}/plugins/qt-gui-%{qtguiversion}
%patch0
%patch1
%patch2
 
cd ../update-hosts*
%patch3
#%patch4

%build

#gtk gui
cd gtk+licq-%{gtkguiversion}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --with-licq-src-dir=../licq-%{licqversion} \
--prefix=%{prefix} --disable-rpath
uname -a | grep -q SMP && make -j 2 || make


cd ../licq-%{licqversion}


# console interface /w ncurses plugin
cd plugins/console*
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --disable-rpath
uname -a | grep -q SMP && make -j 2 || make

# update hosts
cd ../update-hosts*
autoconf
CLFAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_ROOT%{prefix} --disable-rpath
uname -a | grep -qi SMP && make -j 2 || make
# forwarder
cd ../forwarder*
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	-prefix=%{prefix} --disable-rpath
uname -a | grep -q SMP && make -j 2 || make

#auto reply
cd ../auto-reply*
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --disable-rpath
uname -a |grep -q SMP && make -j 2 || make


# qt gui
cd ../qt-gui*
find . -type f -exec perl -p -i -e "s/-lqt/-lqt2/" {} \;
autoconf
MOC=/usr/lib/qt2/bin/moc CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --enable-spoofing --with-qt-moc=/usr/lib/qt2/bin/moc \
--with-qt-includes=/usr/lib/qt2/include --disable-rpath

make MOC=/usr/lib/qt2/bin/moc

#main licq stuff
cd ../..
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --disable-rpath
uname -a | grep -q SMP && make -j 2 || make


%install
rm -rf $RPM_BUILD_ROOT

#licq base
mkdir -p $RPM_BUILD_ROOT/usr/share/locale

cd licq-%{licqversion}

make install prefix=$RPM_BUILD_ROOT/%{prefix}

install -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/mini/licq.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/licq.xpm

# menu stuff
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat > $RPM_BUILD_ROOT/usr/lib/menu/licq <<EOF
?package(licq):\
command="licq"\
icon="licq.xpm"\
title="Licq"\
longtitle="ICQ client"\
needs="x11"\
section="Networking/ICQ"
EOF


#qt gui
cd plugins/qt-gui*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# console ui
cd ../console*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

#  forwarder
cd ../forwarder*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# auto reply
cd ../auto-reply*
make install prefix=$RPM_BUILD_ROOT/%{prefix}

# update hosts
cd ../update-hosts*
#make install prefix=$RPM_BUILD_ROOT/%{prefix}

install -m755 licq_update-hosts.so $RPM_BUILD_ROOT/%{prefix}/lib/licq

#gtk gui
#yuck.
cd ../../../gtk+licq*/src
#we manually install stuff because make install won't work properly
install -m755 licq_gtk_gui.la $RPM_BUILD_ROOT%{prefix}/lib/licq
cd .libs && install -m755 licq_gtk_gui.so $RPM_BUILD_ROOT%{prefix}/lib/licq \
&& cd ../..
# install shared pixmaps and icons.
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/licq/gtk-gui
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/licq/gtk-gui/pixmaps
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/licq/gtk-gui/icons
for i in pixmaps/* ;do
   install -m644 $i $RPM_BUILD_ROOT%{prefix}/share/licq/gtk-gui/pixmaps
done
for j in icons/*  ; do
   install -m644 $j $RPM_BUILD_ROOT%{prefix}/share/licq/gtk-gui/icons
done
#install the locale stuff
cd po
# urgh. urgh. urgh. urgh.
find . -name 'Makefile' -exec  perl -p -i -e "s/prefix = \/usr/prefix = \/var\/tmp\/licq-buildroot\/usr/" {} \;
make install

%clean
rm -rf $RPM_BUILD_ROOT  
#$RPM_BUILD_DIR/file.list.%{name}

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
  fi



%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi


#licq base
%files 
%defattr(-,root,root)
%{prefix}/bin/licq
%{prefix}/share/licq/qt-gui
%{prefix}/share/licq/translations
%{prefix}/share/licq/utilities
%{prefix}/share/licq/sounds
%{prefix}/lib/licq/licq*qt*
%{prefix}/lib/menu/*
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm
%doc licq*/doc/ licq*/upgrade/ licq*/README*
%doc licq*/plugins/qt-gui/README*

# update hosts
%files update-hosts
%defattr(-,root,root)
%{prefix}/lib/licq/licq_update-hosts*
%doc licq*/plugins/update-hosts*/README

# gtk+licq
%files gtk
%defattr(-,root,root)
%{prefix}/lib/licq/licq*gtk*
%{prefix}/share/licq/gtk-gui
%{prefix}/share/locale/*/LC_MESSAGES/*
%doc gtk+licq*/ABOUT-NLS gtk+licq*/README gtk+licq*/AUTHORS 
%doc gtk+licq*/COPYING gtk+licq*/ChangeLog gtk+licq*/NEWS gtk+licq*/BUGS

#%files qt
#%defattr(-,root,root)
#/usr/lib/licq/licq*qt*

#console plugin
%files console
%defattr(-,root,root)
%{prefix}/lib/licq/licq*console*
%doc licq*/plugins/console*/README

#forwarder plugin
%files forwarder
%defattr(-,root,root)
%{prefix}/lib/licq/licq*forward*
%doc licq*/plugins/forward*/README

#auto reply plugin
%files autoreply
%defattr(-,root,root)
%{prefix}/lib/licq/licq_auto*
%doc licq*/plugins/auto*/README

%changelog
* Wed Apr 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-9mdk
- licq-update-hosts-0.0.5-8mdk.i586.rpm has been lost in space

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-8mdk
- added dependency to qt2 >= 2.1

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.81-7mdk
- fixed missing icon in filelist
- added 32x32 icon
- cleanup of specfile, install section mostly [still a lot to do]
- path of qt2 with the help of Christopher Molnar

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-6mdk
- changed path of qt2 includes

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-5mdk
- Added menu icon

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.81-4mdk
- updated to use qt-2.1

* Fri Apr 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- fix menu entry
- merge menu file with spec

* Thu Apr 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.81-2mdk
- installation hacks for gtk+licq  :-/
- add URL for gtk+licq @ http://gtk.licq.org
- update hosts 0.0.5
- greatly improve description
- use prefix: _prefix and then prefix in files section
- fixed files section
- apologize for the stupid changelog mistakes that i made last time

* Fri Mar 31 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add menu entry
- used srpm from Geoffrey Lee <snailtalk@linux-mandrake.com>
 
* Thu Mar 29 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.81
- qt+licq 0.38.1
- compile qt-gui --with-spoofing ;-) ;-)

* Thu Mar 23 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- licq 0.80
- add gtk+licq 0.38
- include more docs
- hacked the spec file a lot
- add update-hosts 0.0.4 (hacked slightly to get it to work)
- use autoconf for qt plugin + update-hosts because original configure script
  was f*cked

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean spec
- fix group
- fix files section

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Fix docs
- Strip binaries

* Thu Jan 27 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Updated to 0.75.3a
- Fixed upgrade scripts.

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.70.1.
- {Build,}Requires: qt2{-,devel}.
- Correct download locations.
- Improve Summary.
- Fix build with qt2.

* Sun Sep 19 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.70 final

* Thu Aug 12 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

